fred voisin

(smart (music (engines)))

py / pyext pour Puredata sur debian lenny PPC

py.pd_linux ppc

Le code source de l’external py / pyext pour Puredata doit toujours être adapté pour la version Linux Debian Lenny PPC...

Sur Debian Lenny PPC, comme anciennement sur Ubuntu PPC (Installer PureData pour Ubuntu PPC), il est nécessaire de compiler soi-même l’external py / pyext pour Linux PPC avec quelques modifs dans le code source.

Pour ma part j’ai opéré ainsi :

  • installer les sources de Python, nummarray et numpy :
    sudo apt-get install python-dev python-numarray python-numpy
  • installer le code source de Puredata
  • telecharger les sources de flext et py :
    svn co https://svn.grrrr.org/ext/trunk/flext flext
    svn co https://svn.grrrr.org/ext/trunk/py py

dans le fichier flext/buildsys/config-lnx-pd-gcc.txt :

  • spécifier le PATH des sources de Puredata pour la variable PDPATH=<br
  • commenter la ligne :
    #UFLAGS=-msse -mfpmath=sse -ffast-math
  • et chqnger la dernière ligne :
    OFLAGS+=-mtune=powerpc

dans le fichier py/config.txt :

  • s’assurer que la variable PYTHONVERSION appelle la bonne version de python (en principe 2.5 pour Debian Lenny)
  • compiler flext puis py comme indiqué dans les readme.txt (cf. [article53])
  • décommenter :
    PY_NUMPY=1
    PY_NUMARRAY=1
    PY_NUMERIC=1

version testée sur Pd 0.40-3 et pd-extended 0.41-4 (Linux Debian Lenny PPC) :

Zip - 131.6 ko
py.pd_linux
py.pd_linux PPC Debian Lenny (Python 2.5)